1.8.7p72 on HP-UX 11.x/IA64 with pthreads


#1

Anyone built 1.8.7p72 on HP-UX 11.23/IA64 or 11.31/IA64 with pthreads
enabled? The following works:
$ gtar zxf ruby-1.8.7-p72.tar.gz
$ cd ruby-1.8.7-p72
$ ./configure

But the following does not:
$ gtar zxf ruby-1.8.7-p72.tar.gz
$ cd ruby-1.8.7-p72
$ ./configure --enable-pthread

$ gmake

cc -g -DRUBY_EXPORT -DYYMAXDEPTH=300 -I. -I. -c main.c
cc -g -DRUBY_EXPORT -DYYMAXDEPTH=300 -I. -I. -c dmydln.c
cc -g -DRUBY_EXPORT -DYYMAXDEPTH=300 -L. -Wl,-E main.o dmydln.o
libruby-static.a -lpthread -ldld -ldl -lm -o miniruby
rbconfig.rb updated
/opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:350:in conv_arg': stack level too deep (SystemStackError) from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:454:inparse’
from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1261:in
parse_in_order' from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1249:incatch’
from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1249:in
parse_in_order' from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1243:inorder!’
from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1334:in
permute!' from /opt/build/china/ruby-1.8.7-p72/lib/optparse.rb:1355:inparse!’
from ./ext/extmk.rb:288:in `parse_args’
from ./ext/extmk.rb:324
gmake: *** [all] Error 1